Bug 21014 - Availability of hidden items showing in OPAC results
Summary: Availability of hidden items showing in OPAC results
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
: 21261 (view as bug list)
Depends on:
Blocks: 24403
  Show dependency treegraph
 
Reported: 2018-06-28 21:51 UTC by Caroline Cyr La Rose
Modified: 2020-02-12 18:26 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Availability of withdrawn item is displayed (39.58 KB, image/png)
2018-06-28 21:51 UTC, Caroline Cyr La Rose
Details
Item is hidden in record details (86.10 KB, image/png)
2018-06-28 21:51 UTC, Caroline Cyr La Rose
Details
Bug 21042: Make 'pay amount' also return lost fines (1.32 KB, patch)
2019-04-26 21:30 UTC, Marie-Luce Laflamme
Details | Diff | Splinter Review
toto (679 bytes, patch)
2019-04-26 21:33 UTC, Marie-Luce Laflamme
Details | Diff | Splinter Review
toto (679 bytes, patch)
2019-04-26 21:39 UTC, Marie-Luce Laflamme
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-06-28 21:51:03 UTC
Created attachment 76552 [details]
Availability of withdrawn item is displayed

Can someone try this and confirm or invalidate this as a bug? 

If I have two items on one record, one of which is hidden as per OpacHiddenItems, the availability still shows in the OPAC results list.

Here are the steps I'm following:

1- Go to Administration > Global system preferences
2- Search for OpacHiddenItems
3- Add the following value to OpacHiddenItems: withdrawn: [1]
4- Save your system preferences
5- In the search bar at the top, click on the "Search catalog" tab
6- Search for anything
7- Find a record with two items, or add an item to a record
8- Add the withdrawn status to one of the two items, the other has to be available
9- Go to OPAC
10- Search for the record (a broad search to make sure you get to the results list, not the record details)
11- Check the availability of the items <-- for me, here, it says 1 available and 1 withdrawn (see screen capture opachiddenitems1.png)
12- Click on the title to open the record details
13- Check the items <-- there should be only one, the withdrawn item is hidden (see screen capture opachiddenitems2.png)
Comment 1 Caroline Cyr La Rose 2018-06-28 21:51:26 UTC
Created attachment 76553 [details]
Item is hidden in record details
Comment 2 Lisette Scheer 2018-07-03 20:20:22 UTC
I was able to recreate this with both withdrawn and a damaged status. 
It is properly hiding items that are not withdrawn or damaged. Lost items hide properly, as well as items at hidden branches, with hidden itype, or with hidden shelving location. 
Lisette
Comment 3 Marjorie Barry-Vila 2019-03-27 20:09:21 UTC
Hi,

I repeat this problem with the system preference hidelostitems on 18.05, you too?

Marjorie
Comment 4 Marie-Luce Laflamme 2019-04-26 21:30:24 UTC Comment hidden (obsolete)
Comment 5 Marie-Luce Laflamme 2019-04-26 21:33:51 UTC Comment hidden (obsolete)
Comment 6 Marie-Luce Laflamme 2019-04-26 21:39:37 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2020-01-11 18:12:04 UTC
*** Bug 21261 has been marked as a duplicate of this bug. ***